Skip to main content
get/v2/workflows/bulkActions/{actionId}
Request example
Response
get/v2/workflows/bulkActions/{actionId}

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

actionIdstringrequired#
The ID returned by a filter-based bulk cancel or asynchronous DLQ action.

Responses

application/json
Bulk action details
actionIdstring#
The ID of the bulk action.
kindenum<string>#
The kind of the bulk action.
Options:canceldlq_deletedlq_resumedlq_restart
stateenum<string>#

The state of the bulk action.

ValueDescription
IN_PROGRESSThe bulk action is running in the background.
FINISHEDThe bulk action has finished.
Options:IN_PROGRESSFINISHED
totalinteger#
The number of workflow runs that matched the filter when the bulk action was created.
processedinteger#
The number of workflow runs processed by the bulk action so far.
createdAtinteger#
The creation time of the bulk action, in milliseconds (Unix timestamp).
completedAtinteger#
The completion time of the bulk action, in milliseconds (Unix timestamp). Only present once the bulk action has finished.
filterobject#
The filter the bulk action was created with. Keys are the request's filter parameter names, such as workflowUrl, label or fromDate, and values are the given values.